<?php

namespace App\Filament\Pages;

use App\Filament\Widgets\Stats\OverviewStats;
use BezhanSalleh\FilamentShield\Traits\HasPageShield;
use Filament\Pages\Dashboard as BaseDashboard;

class Dashboard extends BaseDashboard
{
    use HasPageShield;

    protected static ?string $title = 'Dasbor';

    protected static ?string $pollingInterval = null;

    public function getColumns(): int|array
    {
        return 2;
    }

    public function getWidgets(): array
    {
        return [
            OverviewStats::class,
        ];
    }
}
